Modify

Ticket #4508 (closed Patches: fixed)

Opened 4 years ago

Last modified 4 years ago

bsd.hpp assumes __NetBSD_GCC__ is defined

Reported by: Jelle Geerts <jellegeerts@…> Owned by: johnmaddock
Milestone: Boost 1.44.0 Component: config
Version: Boost Development Trunk Severity: Problem
Keywords: Cc:

Description

On OpenBSD, when compiling a project of mine, I noticed that bsd.hpp assumes NetBSD_GCC is defined, which gave a compilation error because I use gcc with -Werror.

So, I simply fixed the line that caused the error. Please see the attached patch for the fix.

Attachments

bsd.hpp.patch Download (514 bytes) - added by Jelle Geerts <jellegeerts@…> 4 years ago.

Change History

Changed 4 years ago by Jelle Geerts <jellegeerts@…>

comment:1 Changed 4 years ago by Jelle Geerts <jellegeerts@…>

  • Type changed from Bugs to Patches

comment:2 Changed 4 years ago by johnmaddock

  • Status changed from new to closed
  • Resolution set to fixed

(In [64749]) Suppress gcc warnings. Fixes #4508.

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.